Bug 143251 - Port net-mgmt/zabbix-frontend is missing php5-ctype dependency
Summary: Port net-mgmt/zabbix-frontend is missing php5-ctype dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-26 09:40 UTC by amsibamsi
Modified: 2010-02-02 19:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description amsibamsi 2010-01-26 09:40:04 UTC
Port: net-mgmt/zabbix-frontend

When browsing the PHP frontend I see occasional errors about missing ctype functions from the PHP code.

Fix: 

Install php5-ctype.
How-To-Repeat: Setup web interface in a web server, browse frontend.
Comment 1 Edwin Groothuis freebsd_committer 2010-01-26 09:40:11 UTC
Maintainer of net-mgmt/zabbix-frontend,

Please note that PR ports/143251 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143251

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-26 09:40:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jim Riggs 2010-01-28 14:09:29 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/143251: Port net-mgmt/zabbix-frontend is missing php5-ctype dependency
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
- Add php5-ctype dependency

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- zabbix-frontend-1.8.1,2.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/net-mgmt/zabbix-frontend/Makefile /root/portwork/zabbix/net-mgmt/zabbix-frontend/Makefile
--- /usr/ports/net-mgmt/zabbix-frontend/Makefile	2009-12-13 16:30:16.000000000 -0600
+++ /root/portwork/zabbix/net-mgmt/zabbix-frontend/Makefile	2010-01-28 07:41:52.000000000 -0600
@@ -14,7 +14,7 @@
 PATCHDIR=
 PLIST=		${PKGDIR}/pkg-plist.frontend
 
-USE_PHP=	bcmath gd pcre snmp sockets
+USE_PHP=	bcmath ctype gd pcre snmp sockets
 IGNORE_WITH_PHP=	4
 WANT_PHP_WEB=	yes
 
--- zabbix-frontend-1.8.1,2.patch ends here ---
Comment 4 Greg Larkin freebsd_committer 2010-01-29 15:12:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 5 dfilter service freebsd_committer 2010-02-02 19:03:23 UTC
glarkin     2010-02-02 19:03:09 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zabbix-frontend Makefile 
  Log:
  - Added PHP ctype module dependency
  - No need to bump PORTREVISION, since the master port (zabbix-server)
    is upgraded from 1.8 to 1.8.1.
  
  PR:             ports/143251
  Submitted by:   Anselm Strauss <amsibamsi@gmail.com>
  Approved by:    Jim Riggs <ports@christianserving.org> (maintainer)
  
  Revision  Changes    Path
  1.2       +1 -1      ports/net-mgmt/zabbix-frontend/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Greg Larkin freebsd_committer 2010-02-02 19:06:10 UTC
State Changed
From-To: feedback->closed

Committed, thank you!